<?php
/*
 * Plugin Name: SpeedMetriks
 * Plugin URI: https://speedmetriks.com
 * Description: Real User Monitoring for WordPress
 * Version: 1.3
 * Author: Matt Vanderpol
 * Author URI: https://mattvanderpol.com
 * License: GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function activate_speed_metriks() {
  require_once plugin_dir_path(__FILE__) . 'lib/class-speed-metriks-activator.php';
  SpeedMetriks_Activator::activate();
}

require_once plugin_dir_path(__FILE__) . 'lib/class-speed-metriks-requirements-check.php';
$speed_metriks_requirements_check = new SpeedMetriks_Requirements_Check( array(
  'title' => 'SpeedMetriks',
  'php' => '7.0',
  'wp' => '4.7',
  'file' => __FILE__,
) );

if ( $speed_metriks_requirements_check->passes() ) {
  register_activation_hook(__FILE__, 'activate_speed_metriks');

  require plugin_dir_path(__FILE__) . 'lib/class-speed-metriks.php';

  function run_speed_metriks() {
    $plugin = new SpeedMetriks();
    $plugin->run();
  }
  run_speed_metriks();
}
